## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# NOTE(mhayden): No tests upstream (yet) but leaving this here in case they are
# available later.
%bcond_with     tests

%global         srcname     azure-mgmt-security

Name:           python-%{srcname}
Version:        6.0.0
Release:        %autorelease
Summary:        Microsoft Azure Security Center Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

Epoch:          1

BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-recoveryservices)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Security Center Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:6.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:6.0.0-2
- Rebuilt for Python 3.13

* Wed May 29 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:6.0.0-1
- Update to version 6.0.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug 01 2023 Major Hayden <major@redhat.com> - 1:5.0.0-1
- Update to 5.0.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:3.0.0-4
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:3.0.0-3
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Major Hayden <major@redhat.com> - 1:3.0.0-1
- Update to 3.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.0.0b1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:2.0.0b1-4
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:2.0.0b1-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.0.0b1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 1:2.0.0b1-1
- Update to 2.0.0b1

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 1:1.0.0-4
- Bump release number

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 1:1.0.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:1.0.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 1:1.0.0-1
- Update to 1.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.6.0-2
- Add epoch number for 0.6.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:0.6.0-1
- Downgrade to 0.6.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 1.0.0-1
- Initial commit (#1971854)
## END: Generated by rpmautospec
